# MOTAR Classes

The MOTAR SDK for Unity allows you to integrate data from the logged in user into your applications via the MOTARProfile Class

{% hint style="info" %}
The data is returned as a [Json.net](http://json.net/) object or a Texture2D where applicable.&#x20;
{% endhint %}

## MOTARProfile Class                                     &#x20;

Namespace: MOTAR\
Assembly: Included in the MOTAR SDK

### Description

Represents a user profile in the MOTAR system. This class provides essential user information such as their handle, name, and profile picture.

{% hint style="info" %}
This class is expected to evolve in future versions to include more data for developers.
{% endhint %}

### Usage

An instance of MOTARProfile is accessible after a user has logged in using the MOTAR SDK Auth / Device Sync their user profile information can be accessed using the **Communications.Connection.userProfile**

{% code title="" %}

```csharp
MOTARProfile userProfile = Communications.Connection.userProfile;
Debug.Log($"User ID: {userProfile.userId}, Handle: {userProfile.handle}");
```

{% endcode %}

| Property       | Type                                                | Description                                                  |
| -------------- | --------------------------------------------------- | ------------------------------------------------------------ |
| userId         | string                                              | The unique identifier for the user.                          |
| prefix         | string                                              | The user’s prefix (Mr., Ms., Dr., etc.)                      |
| firstName      | string                                              | The user's first name.                                       |
| lastName       | string                                              | The user's last name.                                        |
| handle         | string                                              | The user's handle or username.                               |
| title          | string                                              | The user’s title                                             |
| companyInfo    | [MOTARUserCompanyInfo](#motarusercompanyinfo-class) | User Company Info                                            |
| profilePicId   | int                                                 | The name of the company this user belongs to (can be blank). |
| profilePicData | Texture2D                                           | Texture for the profile pic                                  |

## MOTARUserCompanyInfo Class                                     &#x20;

Namespace: MOTAR\
Assembly: Included in the MOTAR SDK

### Description

Represents a user profile company information data in the MOTAR system. This class provides essential user information about the company such as their name, and icon

### Usage

An instance of MOTARUserCompanyInfo as a subset of MOTARProfile and is accessible after a user has logged in using the MOTAR SDK Auth / Device Sync:

| Property | Type      | Description          |
| -------- | --------- | -------------------- |
| name     | string    | The company name.    |
| icon     | int       | The company icon id. |
| iconData | Texture2D | Texture for the icon |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.motar.com/motar-core-services/intro-to-core-services/devices/motar-sdk-for-unity/motar-classes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
